<bugID>950189<Summary>Add a source outline view</Summary><Description>Most IDEs have an outline view of the source code that is very useful for visualizing its overall structure, but also for quickly locating the function or object of interest. Since we already have support for parsing JS, creating an outline view should be now possible. Incidentally Orion is providing such an outline view for JavaScript now.

I think a new tab in the instruments pane should work best for this.</Description></bugID>